matrix/hr/urls.py
from django.conf.urls import url
from .views import (activate_item, employee_list, employee_ajax, employee_detail,
        employee_create, employee_update, employee_vacations,
        employee_documents, employee_documents_add, employee_documents_update,
        employee_documents_delete, employee_services, employee_services_add,
        employee_services_update, employee_services_delete, item_process, vacation_create,
        agent_list, agent_ajax, agent_detail, agent_create, agent_update, worker_list,
        workers_ajax, worker_detail, worker_update, worker_create, item_list,
        items_ajax, item_detail, item_create, item_update, receipt_list, receipts_ajax,
        receipt_detail, item_process, workers_wizard_ajax, receive_info, download_receipt_PDF,
        item_delete, receipt_delete, workers_wizard_ajax )
from .views import (TechnicianViewSet,BuildingContactViewSet,GearViewSet,
        AvailabilityViewSet,NetworkEquipmentViewSet, usuarios_activos, set_config)

from hr.autocompletes import TechnicianAutocomplete

# API section
from customers.urls import router
router.register(r"technicians", TechnicianViewSet)
router.register(r"building-contacts", BuildingContactViewSet)
router.register(r"gears", GearViewSet)
router.register(r"availabilities", AvailabilityViewSet)
router.register(r"network-equipments", NetworkEquipmentViewSet)

urlpatterns = [
    url(r'^employees/$', employee_list, name='employee-list'),
    url(r'^employees/actives$', usuarios_activos, name='usuarios-activos'),
    url(r'^employees/(?P<pk>\d+)/$', employee_detail, name='employee-detail'),
    url(r'^employees/add/$', employee_create, name='employee-add'),
    url(r'^employees/(?P<pk>\d+)/edit/$', employee_update, name='employee-update'),
    url(r'^employees/(?P<pk>\d+)/documents/$', employee_documents, name='employee-documents'),
    url(r'^employees/(?P<pk>\d+)/documents/add/$', employee_documents_add, name='employee-documents-add'),
    url(r'^employees/(?P<pk>\d+)/documents/(?P<document_pk>\d+)/edit/$', employee_documents_update, name='employee-documents-update'),
    url(r'^employees/(?P<pk>\d+)/documents/(?P<document_pk>\d+)/delete/$', employee_documents_delete, name='employee-documents-delete'),    url(r'^employees/(?P<pk>\d+)/services/$', employee_services, name='employee-services'),
    url(r'^employees/(?P<pk>\d+)/services/add/$', employee_services_add, name='employee-services-add'),
    url(r'^employees/(?P<pk>\d+)/services/(?P<document_pk>\d+)/edit/$', employee_services_update, name='employee-services-update'),
    url(r'^employees/(?P<pk>\d+)/services/(?P<document_pk>\d+)/delete/$', employee_services_delete, name='employee-services-delete'),
    url(r'^employees/(?P<pk>\d+)/payslips/$', employee_detail, name='employee-payslips'),
    url(r'^employees/(?P<pk>\d+)/vacations/$', employee_vacations, name='employee-vacations'),
    url(r'^employees/(?P<pk>\d+)/vacations/add/$', vacation_create, name='employee-vacations-add'),
    url(r'^employees/ajax/$', employee_ajax, name='employee-ajax'),
    url(r"^agents/$", agent_list, name="agent-list"),
    url(r"^agents/ajax/$", agent_ajax, name="agent-ajax"),
    url(r"^agents/(?P<pk>\d+)/$", agent_detail, name="agent-detail"),
    url(r"^agents/new/$", agent_create, name="agent-create"),
    url(r"^agents/(?P<pk>\d+)/edit/$", agent_update, name="agent-update"),
    url(r"^set_config$", set_config, name="set-config"),
    url(r"^tecnicos-ac/", TechnicianAutocomplete.as_view(), name="tecnicos-ac"),
    url(r"^workers/$", worker_list, name='worker-list'),
    url(r"^workers/ajax/$", workers_ajax, name='worker-ajax'),
    url(r"^workers/(?P<pk>\d+)/$", worker_detail, name='worker-detail'),
    url(r"^workers/(?P<pk>\d+)/edit/$", worker_update, name='worker-update'),
    url(r"^workers/new/$", worker_create, name ='worker-create'),
    url(r"^items/$", item_list, name='item-list'),
    url(r"^items/ajax/$",items_ajax, name='item-ajax'),
    url(r"^items/(?P<pk>\d+)/$", item_detail, name='item-detail'),
    url(r"^items/(?P<pk>\d+)/edit/$", item_update, name='item-update'),
    url(r"^items/(?P<pk>\d+)/delete/$", item_delete, name='item-delete'),
    url(r"^items/activate/$", activate_item, name='activate-item'),
    url(r"^items/new/$", item_create, name = 'item-create'),
    url(r"^receipts/$", receipt_list, name = 'receipt-list'),
    url(r"^receipts/ajax/$", receipts_ajax, name='receipt-ajax'),
    url(r"^receipts/(?P<pk>\d+)/$", receipt_detail, name='receipt-detail'),
    url(r"^receipts/(?P<pk>\d+)/delete/$", receipt_delete, name='receipt-delete'),
    url(r"^item_process/$", item_process, name='item-process'),
    url(r"^item_process/worker_ajax/$", workers_wizard_ajax, name='worker-wizard-ajax'),
    url(r"^item_process/receive_info/$", receive_info, name='receive-info'),
    url(r"^receipts/(?P<pk>\d+)/download_pdf/$", download_receipt_PDF, name ="download-receipt-pdf"),
]

matrix/providers/urls.py
from django.conf.urls import url
from .views import (provider_detail, provider_statement, invoice_create,
        invoice_detail, invoice_update, payment_create, payment_detail,
        payment_update, provider_list, provider_ajax, provider_create, 
        provider_update, provider_payment_methods_delete, manual_billing,
        provider_payment_methods, provider_payment_methods_add, ajax_provider,
        provider_invoice_list, provider_invoice_ajax, mark_as_paid, mark_as_unpaid,
        provider_invoice_list_without_customer, provider_invoice_ajax2,
        provider_payment_list, provider_payment_ajax, manual_payments,
        provider_payment_list_without_customer, provider_payment_ajax2,)

urlpatterns = [
    url(r'^$', provider_list, name='provider-list'),
    url(r'^(?P<pk>\d+)/$', provider_detail, name='provider-detail'),
    url(
        r"^(?P<provider_pk>\d+)/payment-methods/$",
        provider_payment_methods,
        name="provider-payment-methods",
    ),
    url(
        r"^(?P<provider_pk>\d+)/payment-methods/add/$",
        provider_payment_methods_add,
        name="provider-payment-methods-add",
    ),
    url(
        r"^(?P<provider_pk>\d+)/payment-methods/(?P<pk>\d+)/delete/$",
        provider_payment_methods_delete,
        name="provider-payment-methods-delete",
    ),
    url(r"^manual-billing/$", manual_billing, name="provider-manual-billing"),
    url(r'^(?P<pk>\d+)/statement/$', provider_statement, name='provider-statement'),
    url(r'^(?P<pk>\d+)/new-invoice/$', invoice_create, name='provider-invoice-create'),
    url(r'^(?P<pk>\d+)/new-payment/$', payment_create, name='provider-payment-create'),
    url(r'^invoices/(?P<pk>\d+)/$', invoice_detail, name='provider-invoice-detail'),
    url(r'^payments/(?P<pk>\d+)/$', payment_detail, name='provider-payment-detail'),
    url(r'^invoices/(?P<pk>\d+)/edit/$', invoice_update, name='provider-invoice-update'),
    url(r'^payments/(?P<pk>\d+)/edit/$', payment_update, name='provider-payment-update'),
    url(r'^(?P<pk>\d+)/new-payment/$', payment_create, name='provider-payment-create'),
    url(r'^new/$', provider_create, name='provider-create'),
    url(r'^(?P<pk>\d+)/edit/$', provider_update, name='provider-update'),
    url(r'^ajax/$', provider_ajax, name='provider-ajax'),
    url(r'^invoices/new/$', provider_invoice_list, name='provider-invoice-list'),
    url(r"^invoices/ajax/$", provider_invoice_ajax, name="provider-invoice-ajax"),
    url(r'^invoices-sin_identificacion/$', provider_invoice_list_without_customer, name='provider-invoice-list-without-provider'),
    url(r"^invoices/ajax2/$", provider_invoice_ajax2, name="provider-invoice-ajax2"),
    url(r"^ajax_provider/$", ajax_provider, name="ajax_provider"),
    url(r"^invoices/(?P<pk>\d+)/mark-as-paid/$",mark_as_paid,name="mark-as-paid"),
    url(r"^invoices/(?P<pk>\d+)/mark-as-unpaid/$",mark_as_unpaid,name="mark-as-unpaid"),
    url(r'^payments/$', provider_payment_list, name = "provider-payment-list"),
    url(r"^payments/ajax/$", provider_payment_ajax, name="provider-payment-ajax"),
    url(r"^manual-payments/$", manual_payments, name="provider-manual-payments"),
    url(r'^payments-sin_identificacion/$', provider_payment_list_without_customer, name='provider-payment-list-without-provider'),
    url(r"^payments/ajax2/$", provider_payment_ajax2, name="provider-payment-ajax2"),
]

matrix/reports/models.py
from django.db import models
from django.db.models.fields import TextField
from django.utils import timezone
from django.utils.translation import ugettext_lazy as _
from customers.models import Service
from django.contrib.postgres.fields import JSONField


class ServiceSumSnapshot(models.Model):
   created_at = models.DateField(default=timezone.now)
   status = models.PositiveSmallIntegerField(choices=Service.STATUS_CHOICES)
   count = models.PositiveIntegerField(default=0)


class ServiceStatusLog(models.Model):
   created_at = models.DateTimeField(default=timezone.now)
   status = models.PositiveSmallIntegerField(choices=Service.STATUS_CHOICES)
   seller = models.ForeignKey('customers.seller', verbose_name=_('seller'), null=True)
   node = models.ForeignKey('infra.Node', verbose_name=_('node'), null=True)
   technician = models.ForeignKey('hr.Technician', verbose_name=_('technician'), null=True)
   service = models.ForeignKey('customers.Service', verbose_name=('service'), null=True)

   def __str__(self):
      return f'{self.node} - {self.status} - {self.created_at}'

class ServiceChangeStatusLog(models.Model):
   HSU=1
   FIBRA=2
   KIND_CHOICES = (
        (HSU, _("HSU")),
        (FIBRA, _("Fibra")),
   )

   created_at = models.DateTimeField(default=timezone.now)
   status = models.PositiveSmallIntegerField(choices=Service.STATUS_CHOICES)
   prev_status = models.PositiveSmallIntegerField(choices=Service.STATUS_CHOICES)
   address = models.CharField(_('address'), max_length=255)
   plan = models.ForeignKey('customers.Plan', verbose_name=_('plan'))
   service = models.ForeignKey('customers.Service', verbose_name=('service'))
   kind = models.PositiveSmallIntegerField(
        _("Categoria"), default=HSU, choices=KIND_CHOICES
   )
   empresa = models.BooleanField(default=False)

   def __str__(self):
      return f'{self.service} - {self.status} - {self.created_at}'

class Report(models.Model):
   CLIENTES = 1
   SERVICIOS = 2
   PAGOS = 3
   BOLETAS = 4
   BASE_MODEL_CHOICES = (
        (CLIENTES, _("Clientes")),
        (SERVICIOS, _("Servicios")),
        (PAGOS, _("Pagos")),
        (BOLETAS, _("Boletas")),
   )

   name = models.CharField(_("name"), max_length=255, null = True)
   created_at = models.DateTimeField(default=timezone.now)
   base_model = models.PositiveSmallIntegerField(_("base_model"), choices=BASE_MODEL_CHOICES, null = True)
   selected_columns = JSONField(_("selected_columns"), null=True, blank=False)
   selected_filters = JSONField(_("selected_filters"), null=True, blank=False)
   python_code = models.TextField(_("python_code"), null = True, blank=True)

   def __str__(self):
      return f'{self.name}'

matrix/providers/templates/providers/invoice_detail.html
{% extends "customers/base.html" %}
{% load active_tag %}
{% load humanize %}
{% load price_tag %}

{% block title %}Detalle del Factura {{ invoice.pk }}{% endblock %}

{% block page %}
{%if can_show_detail %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
      <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
	  <li class="breadcrumb-item"><a href="{% url 'provider-list' %}">Proveedores</a></li>
	  {%if object.provider %}
	  <li class="breadcrumb-item active"><a href="{% url 'provider-statement' object.provider.pk %}">Balance</a></li>
	  {%endif%}
      <li class="breadcrumb-item active">Detalle de Factura</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Detalle <small>factura</small></h1>
  <!-- end page-header -->
  

  <!-- begin row -->
<div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-6 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">Detalle de Factura</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body"> 
    <table class="table">
	      <tr>
		<td><strong>Folio</strong></td>
		<td>{{ invoice.folio }}</td>
	      </tr>
	      <tr>
		<td><strong>Comentario</strong></td>
		<td>{{ invoice.comment }}</td>
		  </tr>
		  <tr>
			<td><strong>Operador</strong></td>
			<td>{{ invoice.operator }}</td>
			  </tr>
	      <tr>
		<td><strong>Vencimiento</strong></td>
		<td>{{ invoice.due_date }}</td>
	      </tr>
	      <tr>
		<td><strong>Pagada</strong></td>
		<td>{{ invoice.paid_on|default:"No" }}</td>
	      </tr>
	      {% comment %}
	      <tr>
		<td><strong>Estado</strong></td>
		<td>{{ invoice.get_status_display }}</td>
	      </tr>
	      {% endcomment %}
	      <tr>
		<td><strong>Impuesto específico</strong></td>
		<td>${{ invoice.tax| price_tag}}</td>
	      </tr>
	      <tr>
		<td><strong>Neto</strong></td>
		<td>${{ invoice.neto| price_tag }}</td>
		  </tr>
		  <tr>
			<td><strong>Exento</strong></td>
			<td>${{ invoice.exento| price_tag }}</td>
			  </tr> 
	      <tr>
		<td><strong>Iva</strong></td>
		<td>${{ invoice.iva| price_tag }}</td>
	      </tr>
		  {% if object.currency %}
        <tr>
          <td><strong>Total</strong></td>
        <td>  {{object.currency.symbol}}  {{ object.total| price_tag }}</td>
      </tr>
      {%else%}
      <tr>
      <td><strong>Monto Total (Original)</strong></td>
      <td>$ {{ object.total| price_tag }}</td>
      </tr>
      <tr>
          <td><strong>Moneda</strong></td>
          <td>No tiene asociada</td>
          </tr>
      {%endif%}
      {% if object.tasa %}
      <tr>
      <td><strong>Monto  total convertido</strong></td>
      <td> {{ object.total| price_tag }}</td>
      </tr>
      <tr>
      <td><strong>Tasa conversión</strong></td>
      <td> {{ object.tasa| price_tag }}</td>
      </tr>
      {%endif%}
	{% if object.file %}
        <tr>
          <td><strong>Comprobante de pago</strong></td><td><a href="{{ object.file.url }}" target="_blank">{{ object.file }}</a></td>
        </tr>
	{% endif %}

	<tr>
	  <td><a class="btn btn-primary" href="{% url 'provider-invoice-update' object.pk %}">Editar</a></td>
	</tr>
	</table>
</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>



<!-- begin col-6 -->
<div class="col-xl-6 ui-sortable">
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
		  <!-- begin panel-heading -->
		  <div class="panel-heading ui-sortable-handle">
			<h4 class="panel-title">Histórico de modificaciones</h4>
			<div class="panel-heading-btn">
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			</div>
		  </div>
		  <!-- end panel-heading -->
		  <!-- begin panel-body -->
		  <div class="panel-body">
      <table class="table">
	<thead>
	<tr>
	  <th>Actividad</th>
	  <th>Fecha</th>
	</tr>
	<thead>
	<tbody>
	    {% for activity in invoice.action_log %}
	    <tr>
	      <td><span class="text-primary">{{ activity.user }}</span> {{ activity.action }} {% if activity.changes %}<strong>{{activity.changes|join:", "}}</strong>.{% else %} esta factura.{% endif %}</td><td title="{{ activity.dt }}">{{ activity.dt|naturaltime }}</td>
	    </tr>
	    {% endfor %}
	</tbody>
      </table>
     
	</div>
	<!-- end panel-body -->
  </div>
  <!-- end panel -->
  </div>
  </div>
  <!-- end row -->
  
  <!-- begin scroll to top btn -->
  <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->
  {%else%}
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
	<h4 class="alert-heading">No encontrado</h4>
	<hr>
	<h5 class="mb-0">Cambie de operador o vuelva al listado de boletas.</h5>
</div>
{%endif%}
  {% endblock %}

matrix/providers/templates/providers/payment_detail.html
{% extends "customers/base.html" %}
{% load i18n %}
{% load humanize %}
{% load price_tag %}

{% block title %}Detalle del Pago{% endblock %}

{% block page %}
{%if can_show_detail %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
      <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
      <li class="breadcrumb-item"><a href="{% url 'provider-list' %}">Proveedores</a></li>
      {%if object.provider %}
      <li class="breadcrumb-item active"><a href="{% url 'provider-statement' object.provider.pk %}">Balance</a></li>
	  {%endif%}
      <li class="breadcrumb-item active">Detalle de Pago</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Detalle <small>pago</small></h1>
  <!-- end page-header -->
  

  <!-- begin row -->
<div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-6 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">Detalle de Pago</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body">
    <table class="table">
        <tr>
          <td><strong>ID</strong></td><td>{{ object.id }}</td>
        </tr>
        <tr>
          <td><strong>Fecha del Pago</strong></td><td>{{ object.paid_on }}</td>
        </tr>
        <tr>
          <td><strong>Fecha del depósito</strong></td><td>{{ object.deposited_on  }}</td>
        </tr>
        {% if object.bank_account %}
        <tr>
          <td><strong>Monto</strong></td>
        <td>  {{object.bank_account.currency.symbol}}  {{ object.amount| price_tag }}</td>
      </tr>
      {%else%}
      <tr>
      <td><strong>Monto (Original)</strong></td>
      <td>$ {{ object.amount| price_tag }}</td>
      </tr>
      <tr>
          <td><strong>Moneda</strong></td>
          <td>No tiene asociada</td>
          </tr>
      {%endif%}
      {% if object.tasa %}
      <tr>
      <td><strong>Monto convertido</strong></td>
      <td> {{ object.price| price_tag }}</td>
      </tr>
      <tr>
      <td><strong>Tasa conversión</strong></td>
      <td> {{ object.tasa| price_tag }}</td>
      </tr>
      {%endif%}
      {% if object.bank_account %}
        <tr>
          <td><strong>Cuenta Bancaria</strong></td>
        <td>  {{object.bank_account}}</td>
      </tr>
      {%endif%}
        <tr>
          <td><strong>Tipo</strong></td><td>{{ object.get_kind_display }}</td>
        </tr>
        <tr>
          <td><strong>Operador</strong></td><td>{{ object.operator }}</td>
        </tr>
        <tr>
          <td><strong>Comentario</strong></td><td>{{ object.comment  }}</td>
        </tr>
        {% if object.number_document %}
        <tr>
          <td><strong>Número de Documento </strong></td><td>{{ object.number_document}} </td>
        </tr>
  {% endif %}
	{% if object.proof %}
        <tr>
          <td><strong>Comprobante de pago</strong></td><td><a href="{{ object.proof.url }}" class="thumbnail"><img class="img-responsive" src="{{ object.proof_thumbnail.url }}"></a></td>
        </tr>
	{% endif %}
	{% if object.proof2 %}
        <tr>
          <td><strong>Comprobante de pago 2</strong></td><td><a href="{{ object.proof2.url }}" class="thumbnail"><img class="img-responsive" src="{{ object.proof2_thumbnail.url }}"></a></td>
        </tr>
	{% endif %}
	{% if object.proof3 %}
        <tr>
          <td><strong>Comprobante de pago 3</strong></td><td><a href="{{ object.proof3.url }}" class="thumbnail"><img class="img-responsive" src="{{ object.proof3_thumbnail.url }}"></a></td>
        </tr>
	{% endif %}
	{% if object.file %}
        <tr>
          <td><strong>Archivo</strong></td><td><a target="_blank" href="{{ object.file.url }}">{{ object.file }}</a></td>
        </tr>
  {% endif %}
  {% if object.provider %}
        <tr>
          <td><strong>Proveedor</strong></td><td><a href="{% url 'provider-statement' object.provider.pk %}">{{ object.provider.name }} ( {{ object.provider.rut }} )</a></td>
        </tr>
        {% endif %}
	{% with object.previous_customer as previous_customer %}
	{% if previous_customer %}
        <tr>
          <td><strong><span class="text-danger">Cliente anterior</span></strong></td><td><a href="{{ previous_customer.get_absolute_url }}">{{ previous_customer.name }} ( {{ previous_customer.rut }} )</a></td>
        </tr>
	{% endif %}
	<tr>
	  <td><a class="btn btn-primary" href="{% url 'provider-payment-update' object.pk %}">Editar</a></td>
	</tr>
	{% endwith %}
        
    </table>
    </div>
    <!-- end panel-body -->
  </div>
  <!-- end panel -->
</div>

<!-- begin col-6 -->
<div class="col-xl-6 ui-sortable">
    <!-- begin panel -->
    <div class="panel panel-inverse" data-sortable-id="ui-general-1">
      <!-- begin panel-heading -->
      <div class="panel-heading ui-sortable-handle">
        <h4 class="panel-title">Histórico de modificaciones</h4>
        <div class="panel-heading-btn">
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
          <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
        </div>
      </div>
      <!-- end panel-heading -->
      <!-- begin panel-body -->
      <div class="panel-body">
    
    <table class="table">
<thead>
<tr>
  <th>Actividad</th>
  <th>Fecha</th>
</tr>
<thead>
<tbody>
    {% for activity in object.action_log %}
    <tr>
      <td><span class="text-primary">{{ activity.user }}</span> {{ activity.action }} {% if activity.changes %}<strong>{{activity.changes|join:", "}}</strong>.{% else %} este pago.{% endif %}</td><td title="{{ activity.dt }}">{{ activity.dt|naturaltime }}</td>
    </tr>
    {% endfor %}
</tbody>
    </table>
   
  </div>
  <!-- end panel-body -->
</div>
<!-- end panel -->
</div>
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{%else%}
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
	<h4 class="alert-heading">No encontrado</h4>
	<hr>
	<h5 class="mb-0">Cambie de operador o vuelva al listado de pagos.</h5>
</div>
{%endif%}
{% endblock %}